Package com.xebialabs.xlrelease.utils

## Class Tree.Empty$

- java.lang.Object
- - com.xebialabs.xlrelease.utils.Tree.Empty$

- All Implemented Interfaces:
    `Tree<scala.runtime.Nothing$>`, `java.io.Serializable`, `scala.Equals`, `scala.Product`
  Enclosing interface:
    Tree<A>

      public static class Tree.Empty$
      extends java.lang.Object
      implements Tree<scala.runtime.Nothing$>, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.xebialabs.xlrelease.utils.Tree

      `Tree.Empty$, Tree.ListTreeOps<A>, Tree.ListTreeOps$, Tree.Node<A>, Tree.Node$, Tree.NodeOps<A>, Tree.NodeOps$, Tree.TreeOps<A>, Tree.TreeOps$, Tree.TreeTreeOps<A>, Tree.TreeTreeOps$`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Tree.Empty$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Empty$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Equals

      `equals`

    - ### Methods inherited from interface scala.Product

      `productElementName, productElementNames`

- - ### Field Detail

    - #### MODULE$

          public static final Tree.Empty$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### Empty$

          public Empty$()

  - ### Method Detail

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`